import com.Config.SpringConfiguration;
import com.service.StudentService;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;

/**
 * 使用注解引入容器
 */
public class AnnotationMain {
    public static void main(String[] args) {
        ApplicationContext applicationContext = new AnnotationConfigApplicationContext(SpringConfiguration.class);
        Object jdbcUrl = applicationContext.getBean("getJdbcUrl");
        StudentService bean = applicationContext.getBean(StudentService.class);
    }
}
